Bug 7446 - waf merged build fails (krb5)
waf merged build fails (krb5)
Status: RESOLVED LATER
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
All Linux
: P3 enhancement
: ---
Assigned To: Kai Blin
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 01:17 UTC by Marcel Ritter
Modified: 2010-05-30 15:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Ritter 2010-05-21 01:17:04 UTC
Just noticed the new option --enable-merged-build for waf configure.

configure runs fine, but building fails:

...
[158/961] Compiling ../lib/util/rbtree.c
In file included from ../libads/kerberos.c:25:
../include/smb_krb5.h:34:1: warning: "AP_OPTS_USE_SUBKEY" redefined
In file included from /usr/include/krb5.h:7,
                 from ../include/smb_krb5.h:14,
                 from ../libads/kerberos.c:25:
/usr/include/krb5/krb5.h:786:1: warning: this is the location of the previous definition
In file included from ../libads/kerberos.c:25:
../include/smb_krb5.h:44:2: error: #error UNKNOWN_KRB5_ADDRESS_TYPE
../include/smb_krb5.h:65:2: error: #error krb5_keytab_entry has no key or keyblock member
../libads/kerberos.c: In function ‘kerberos_kinit_password_ext’:
../libads/kerberos.c:219: error: ‘smb_krb5_addresses’ has no member named ‘addrs’
In file included from ../libads/ads_status.c:24:
../include/smb_krb5.h:34:1: warning: "AP_OPTS_USE_SUBKEY" redefined
In file included from /usr/include/krb5.h:7,
                 from ../include/smb_krb5.h:14,
                 from ../libads/ads_status.c:24:
/usr/include/krb5/krb5.h:786:1: warning: this is the location of the previous definition
In file included from ../libads/ads_status.c:24:
../include/smb_krb5.h:44:2: error: #error UNKNOWN_KRB5_ADDRESS_TYPE
../include/smb_krb5.h:65:2: error: #error krb5_keytab_entry has no key or keyblock member
Waf: Leaving directory `/proj.stand/tmp/packages/BUILD/samba-4.0.0alpha11/source3/bin'
Build failed:
 -> task failed (err #1): 
	{task: cc kerberos.c -> kerberos_39.o}
 -> task failed (err #1): 
	{task: cc ads_status.c -> ads_status_39.o}
SBINDIR=/usr/sbin


Looks like some of the krb5 checks of the "classic" configure
are missing in the waf build tree.

HAVE_KRB5 seems to be defined, but either
HAVE_MAGIC_IN_KRB5_ADDRESS or
HAVE_ADDRTYPE_IN_KRB5_ADDRESS are not
(s. source3/include/smb_krb5.h)

Compilation is against krb5-1.6.3 (MIT).
Comment 1 Matthias Dieter Wallnöfer 2010-05-21 03:35:17 UTC
My comment as QA (we should make this more clear to our users): such build breakages do happen frequently (and in most cases are also easy to fix) on file renames, file moves...
It is really nice that you as users find and report them, but: in order to handle such requests faster and more efficiently I suggest to write directly to "samba-technical@samba.org".
Since the mailing list is read by far more people than the bug reports the resolution will take much less time. Only if you get absolutely no answer then please file a bug report!
Comment 2 Jelmer Vernooij 2010-05-25 16:17:03 UTC
Matthias, I really think it should be the other way around. Reports on the list get lost if they aren't immediately dealt with. Instead it might more sense to ask on the mailing list if a bug report isn't handled.
Comment 3 Matthias Dieter Wallnöfer 2010-05-26 08:01:28 UTC
Well, this is discussable. I generally have the impression that bug reports on the mailing list attract more people than here in bugzilla.
Comment 4 Jelmer Vernooij 2010-05-26 11:39:51 UTC
That may be so, but those bug reports that do not get picked up are ignored.
Comment 5 Matthias Dieter Wallnöfer 2010-05-30 04:18:53 UTC
I think this is a case for our s3 WAF expert, namely Kai.
Comment 6 Kai Blin 2010-05-30 15:44:30 UTC
This is because the s3 waf build is completely unsupported and not suitable for use. The goal of this checkin was silently ignoring a lot of the "enabled by default" options from the old build, allowing to compare an "all bells and whistles disabled" build of s3 autoconf and waf, using virtually the same configuration options.

The s3 waf build will be announced on the mailing list once it's more than just an interesting developer project.